commit:     b236013b08a95fbe6259d34593bfb5c150a3bac4
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Thu Mar 25 18:59:36 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu Mar 25 18:59:36 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b236013b

games-board/ace: fix build with slibtool

Closes: https://bugs.gentoo.org/778227
Signed-off-by: Sam James <sam <AT> gentoo.org>

 games-board/ace/ace-1.4-r2.ebuild | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/games-board/ace/ace-1.4-r2.ebuild 
b/games-board/ace/ace-1.4-r2.ebuild
index 920a746e170..25187a76f91 100644
--- a/games-board/ace/ace-1.4-r2.ebuild
+++ b/games-board/ace/ace-1.4-r2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
@@ -45,7 +45,7 @@ src_configure() {
 src_install() {
        default
 
-       rm "${ED}/usr/$(get_libdir)/libcards.la" || die
+       find "${ED}" -name '*.la' -delete || die
 
        dodoc docs/*
        newicon docs/as.gif ${PN}.gif
@@ -53,6 +53,6 @@ src_install() {
        cd "${ED}/usr/bin" || die
        local p
        for p in *; do
-               make_desktop_entry $p "Ace ${p/ace-/}" 
/usr/share/pixmaps/${PN}.gif
+               make_desktop_entry ${p} "Ace ${p/ace-/}" 
/usr/share/pixmaps/${PN}.gif
        done
 }

Reply via email to